Subject: bug#25708: closed (Re: bug#25708: 25.1.91; Allow users to inhibit printing for 'emacsclient -c -t')

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 25 Feb 2017 08:34:02 +0000

Your bug report

#25708: 25.1.91; Allow users to inhibit printing for 'emacsclient -c -t'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25708: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25708
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25708: 25.1.91; Allow users to inhibit printing for 'emacsclient -c -t'
From: Eli Zaretskii <[email-masked]>
To: [email-masked] (Peder O. Klingenberg)
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 25 Feb 2017 10:33:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: [email-masked] (Peder O. Klingenberg)
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Mon, 20 Feb 2017 21:55:15 +0100
> 
> Andreas Schwab <[email-masked]> writes:
> 
> > Then it's not a good word to describe the option.  Better would be
> > --suppress-output.
> 
> I thought it succinctly expressed what the flag did, but I have no
> objection to --suppress-output.
> 
> Attached is the latest version of the patch, with all objections raised
> so far addressed.

Thanks, pushed to the master branch.

Subject: 25.1.91; Allow users to inhibit printing for 'emacsclient -c -t'
From: Alex Hutcheson <[email-masked]>
To: [email-masked]
Date: Mon, 13 Feb 2017 14:46:34 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Sometimes I want to eval some elisp at the command line exclusively to
set up some buffers for me to work with in a new frame. For example, to
diff two files, I often do:
   emacsclient -c -e '(ediff "fileA" "fileB")

This works, but emacsclient annoyingly prints the result of the eval'ed
expression to stdout. In this case, I'll get:
   #<buffer *Ediff Control Panel*>

This output is annoying, and it can't be redirected (`emacsclient -c' on a
terminal fail to launch if stdout is redirected, for obvious reasons).

It would be great if emacsclient had a way to inhibit printing the
result, for cases where the user is only eval'ing the expressions for
their side effects.